From 02fc1fef9d9625c6f095e00312f9bdc73a2ef6a8 Mon Sep 17 00:00:00 2001
From: Kalle Valo <kvalo@codeaurora.org>
Date: Sat, 24 Sep 2016 07:31:10 +0300
Subject: [PATCH 3/6] pwcli: list: fix subject filter

The filter was giving totally bogus answers as were removing items from a list
which we were iterating.

Signed-off-by: Kalle Valo <kvalo@codeaurora.org>
---

Copyright (c) 2016, The Linux Foundation.
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

3. Neither the name of the copyright holder nor the names of its
contributors may be used to endorse or promote products derived from
this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

 pwcli |    5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/pwcli b/pwcli
index 7019296d63d7..711efd201a4c 100755
--- a/pwcli
+++ b/pwcli
@@ -1197,8 +1197,9 @@ class PWCLI():
       else:
          self.patches = self.project.get_patches(state, username)
 
-      # filter patches
-      for patch in self.patches:
+      # Filter patches. Make a copy of the list, we can't modify the
+      # list we are currently iterating!
+      for patch in list(self.patches):
          if args.subject:
             match = re.search(args.subject[0], patch.get_name(),
                               re.MULTILINE | re.IGNORECASE)
-- 
1.7.9.5

